  //制保留2位小数，如：2，会在2后面补上00.即2.00    
  function toDecimal2(x) {
      var f = parseFloat(x);
      if (isNaN(f)) {
          return false;
      }
      var f = Math.round(x * 100) / 100;
      var s = f.toString();
      var rs = s.indexOf('.');
      if (rs < 0) {
          rs = s.length;
          s += '.';
      }
      while (s.length <= rs + 2) {
          s += '0';
      }
      return s;
  }


  //检查是否为数字和小数点
  function isPirce(s) {
      s = s.trim();
      var p = /^[1-9](\d+(\.\d{1,2})?)?$/;
      var p1 = /^[0-9](\.\d{1,2})?$/;
      return p.test(s) || p1.test(s);
  }

  Date.prototype.format = function(format) {
      var o = {
          "M+": this.getMonth() + 1, //month 
          "d+": this.getDate(), //day 
          "h+": this.getHours(), //hour 
          "m+": this.getMinutes(), //minute 
          "s+": this.getSeconds(), //second 
          "q+": Math.floor((this.getMonth() + 3) / 3), //quarter 
          "S": this.getMilliseconds() //millisecond 
      }
      if (/(y+)/.test(format)) {
          format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
      }
      for (var k in o) {
          if (new RegExp("(" + k + ")").test(format)) {
              format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
          }
      }
      return format;
  }

  /**
   ** 乘法函数，用来得到精确的乘法结果
   ** 说明：javascript的乘法结果会有误差，在两个浮点数相乘的时候会比较明显。这个函数返回较为精确的乘法结果。
   ** 调用：accMul(arg1,arg2)
   ** 返回值：arg1乘以 arg2的精确结果
   **/
  function accMul(arg1, arg2) {
      var m = 0,
          s1 = arg1.toString(),
          s2 = arg2.toString();
      try { m += s1.split(".")[1].length } catch (e) {}
      try { m += s2.split(".")[1].length } catch (e) {}
      // console.log(Number(s1.replace(".", "")))
      // console.log(Number(s2.replace(".", "")))
      // console.log(Math.pow(10, m))
      
      return Number(s1.replace(".", "")) * Number(s2.replace(".", "")) / Math.pow(10, m)
  }

  function ran(m) {
m = m > 13 ? 13 : m;
var num = new Date().getTime();
return num.toString().substring(13 - m);
}
