/**
 * Created by petter on 15/11/28.
 */
function getMain(){
var win = $(window),
    scrollAreaEl = $('.t_r_content'),
    leftFreezeEl = $('.t_l_freeze'),
    leftTableEl = leftFreezeEl.find('table'),
    rightTableEl = $('.t_r_t table');

//动态计算容器最大高度
function adjustHeight() {
    var winHeight = win.height(),
    tableHeight = winHeight-250;
    leftFreezeEl.height(tableHeight);
    scrollAreaEl.height(tableHeight);
}

adjustHeight();
win.on('resize', adjustHeight);

//设置iscroll
var myScroll = new IScroll('.t_r_content', {
    scrollX: true,
    scrollY: true,
    probeType: 3
});

//阻止默认滚动
scrollAreaEl.on('touchmove mousewheel', function(e) {
    e.preventDefault();
});

//固定上左表头的滚动
myScroll.on('scroll', updatePosition);
myScroll.on('scrollEnd', updatePosition);

function updatePosition() {
	console.log(this.x+"~~~"+this.y+"````"+this.maxScrollX+"````"+window.innerHeight);
    var a,b;
	if((this.y < this.maxScrollY) && (this.pointY < 1)){
                this.scrollTo(this.x, this.maxScrollY);
                leftTableEl.css('transform', 'translate(0, ' + this.maxScrollY + 'px) translateZ(0px)');
                return;
            } else if (this.y > 0 && (this.pointY > window.innerHeight - 1)) {
                this.scrollTo(this.x, 0);
                leftTableEl.css('transform', 'translate(0, 0) translateZ(0px)');
                return;
            }
    if(((this.pointY > window.innerHeight - 1) || (this.pointY < 1)) && (this.x < this.maxScrollX)){
                this.scrollTo(this.maxScrollX, this.y);
                rightTableEl.css('transform', 'translate(' + this.maxScrollX + 'px,0) translateZ(0px)');
                return;
            } else if (((this.pointY > window.innerHeight - 1) || (this.pointY < 1)) && this.x > 0) {
                this.scrollTo(0, this.y);
                rightTableEl.css('transform', 'translate(0px, 0) translateZ(0px)');
                return;
            }
    if(this.x>0&&this.y>0){
    	this.scrollTo(0, 0);
    }
	a = this.y;
	leftTableEl.css('transform', 'translate(0px, ' + a + 'px) translateZ(0px)');
    b = this.x;
    rightTableEl.css('transform', 'translate(' + b + 'px, 0px) translateZ(0px)');
}



}